Package org.apache.sysds.runtime.instructions.fed

# Class MultiReturnParameterizedBuiltinFEDInstruction

java.lang.Object
org.apache.sysds.runtime.instructions.Instruction
org.apache.sysds.runtime.instructions.fed.FEDInstruction
org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction
org.apache.sysds.runtime.instructions.fed.MultiReturnParameterizedBuiltinFEDInstruction

All Implemented Interfaces:
  `LineageTraceable`

public class MultiReturnParameterizedBuiltinFEDInstruction extends ComputationFEDInstruction

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MultiReturnParameterizedBuiltinFEDInstruction.CreateFrameEncoder`
`static class`
`MultiReturnParameterizedBuiltinFEDInstruction.ExecuteFrameEncoder`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`FEDInstruction.FederatedOutput, FEDInstruction.FEDType`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OOC_INST_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sysds.runtime.instructions.fed.MultiReturnParameterizedBuiltinFEDInstruction.EncoderColnames`
`createGlobalEncoderWithEquiHeight(ExecutionContext ec, FrameObject fin, String spec)`
`static void`
`encodeFederatedFrames(FederationMap fedMapping, MultiColumnEncoder globalencoder, MatrixObject transformedMat)`
`CPOperand`
`getOutput(int i)`
`static MultiReturnParameterizedBuiltinFEDInstruction`
`parseInstruction(String str)`
`static MultiReturnParameterizedBuiltinFEDInstruction`
`parseInstruction(MultiReturnParameterizedBuiltinCPInstruction inst, ExecutionContext ec)`
`static MultiReturnParameterizedBuiltinFEDInstruction`
`parseInstruction(MultiReturnParameterizedBuiltinSPInstruction inst, ExecutionContext ec)`
`void`
`processInstruction(ExecutionContext ec)`
This method should be used to execute the instruction.

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`getFEDInstructionType, getTID, getType, setTID`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, postprocessInstruction, preprocessInstruction, printMe, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

## Method Details

### getOutput

public CPOperand getOutput(int i)

### parseInstruction

public static MultiReturnParameterizedBuiltinFEDInstruction parseInstruction(MultiReturnParameterizedBuiltinCPInstruction inst, ExecutionContext ec)

### parseInstruction

public static MultiReturnParameterizedBuiltinFEDInstruction parseInstruction(MultiReturnParameterizedBuiltinSPInstruction inst, ExecutionContext ec)

### parseInstruction

public static MultiReturnParameterizedBuiltinFEDInstruction parseInstruction(String str)

### processInstruction

public void processInstruction(ExecutionContext ec)
Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `Instruction`
Parameters:
  `ec` - execution context

### createGlobalEncoderWithEquiHeight

public org.apache.sysds.runtime.instructions.fed.MultiReturnParameterizedBuiltinFEDInstruction.EncoderColnames createGlobalEncoderWithEquiHeight(ExecutionContext ec, FrameObject fin, String spec)

### encodeFederatedFrames

public static void encodeFederatedFrames(FederationMap fedMapping, MultiColumnEncoder globalencoder, MatrixObject transformedMat)